Bug 240243 - Review Request: gpsdrive - A GPS based navigation tool
Review Request: gpsdrive - A GPS based navigation tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-15 20:24 EDT by Kevin Fenzi
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 17:11:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2007-05-15 20:24:21 EDT
Spec URL: http://www.scrye.com/~kevin/fedora/gpsdrive/gpsdrive.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/gpsdrive/gpsdrive-2.09-2.fc7.src.rpm
Description: 

Gpsdrive is a map-based navigation system.
It displays your position on a zoomable map
provided from a NMEA-capable GPS receiver. The maps are autoselected
for the best resolution, depending of your position, and the displayed
image can be zoomed. Maps can be downloaded from the Internet with one
mouse click. The program provides information about speed, direction,
bearing, arrival time, actual position, and target position.
Speech output is also available. MySQL is supported.

NOTES: 

- There's one rpmlint error left: 
E: gpsdrive incorrect-locale-el /usr/share/locale/gr/LC_MESSAGES/gpsdrive.mo
Should this locale be removed? Not sure... 

- The package creates 2 libraries. I am removing the .so's for now, since 
they would be the only thing in a devel subpackage and nothing I can see ever
links against this package. 

- The package has a check for gcc-3 and fails if it's not found. As far as 
I can see as long as you don't tell it to do any of the gcc3 optimizations, it compiles and works fine with gcc4. I have patched out the check.
Comment 1 Jeremy Hinegardner 2007-05-20 19:36:59 EDT
I'll be happy to review gpsdrive.  Look for the formal review shortly.
Comment 2 Jeremy Hinegardner 2007-05-20 20:43:35 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistent macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
eaa52cb220f3d10312a1046dd47126bb  gpsdrive-2.09.tar.gz (upstream)
eaa52cb220f3d10312a1046dd47126bb  rpmbuild/SOURCES/gpsdrive-2.09.tar.gz

OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Doc subpackage needed/used. (not needed)
OK - Packages %doc files don't affect runtime.
OK - Spec has needed ldconfig in post and postun
OK - .la files are removed.
OK - Package is a GUI app and has a .desktop file
OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
ISSUE (1) - rpmlint output.

SHOULD Items:

OK - Should build in mock.
OK - Should function as described. (program launched ok)
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version
SHOULD Items:

OK - Should build in mock.
OK - Should function as described. (program launched ok)
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. rpm lint output

    E: gpsdrive incorrect-locale-el /usr/share/locale/gr/LC_MESSAGES/gpsdrive.mo

    It appears that gpsdrive is shipping the Greek messages using the ISO
    country code for Greece ('gr') instead of the ISO 639 locale code for the
    greek language ('el').  I would consider this an upstream bug, but if you
    want to fix it in the rpm that's fine and then lodge the issue upstream
    that would allow the Greek language Fedora users to use gpsdrive.

    I don't know much about I18N in C programs, but would moving the gr.po
    and gr.pmo files to el.po and el.pmo respectively after the man page
    conversion to UTF-8 fix this issue?


Comment 3 Michael Schwendt 2007-05-21 07:32:28 EDT
Including _that_ "INSTALL" document in %doc is of no use for RPM
package users.
Comment 4 Kevin Fenzi 2007-05-21 22:03:03 EDT
In reply to comment #2: 

Thanks for the review. Alas, just moving the po files doesn't seem to fix things. 
Looks like I am going to have to patch the auto* files to get it to know about
'el' instead of 'gr'. ;( Will try and get that sorted out soon. 

In reply to comment #3: 

Yeah, sorry I missed that. Next version will not ship the useless INSTALL file. :(

Hopefully I will have a new version soon. 
Comment 5 Kevin Fenzi 2007-06-19 00:08:11 EDT
ok. Sorry for the vast delay here. 

Both the above items should be taken care of now in this latest version. 

Spec URL: http://www.scrye.com/~kevin/fedora/gpsdrive/gpsdrive.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/gpsdrive/gpsdrive-2.09-3.fc8.src.rpm

diff of spec: 

4c4
< Release: 3%{?dist}
---
> Release: 2%{?dist}
10d9
< Patch1: gpsdrive-2.09-greek.patch
16d14
< BuildRequires: autoconf m4
33d30
< %patch1 -p1
40,43d36
< # move greek from gr to el
< mv po/gr.gmo po/le.gmo
< mv po/gr.po po/le.po
< 
105c98
< %doc GPS-receivers AUTHORS COPYING CREDITS TODO
---
> %doc GPS-receivers INSTALL AUTHORS COPYING CREDITS TODO
141,144d133
< * Mon Jun 18 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-3
< - Do not ship useless INSTALL file. 
< - Fix incorrect greek translation. 
Comment 6 Jeremy Hinegardner 2007-06-22 01:52:41 EDT
(In reply to comment #5)
> ok. Sorry for the vast delay here. 
> 
> Both the above items should be taken care of now in this latest version. 
> 
> Spec URL: http://www.scrye.com/~kevin/fedora/gpsdrive/gpsdrive.spec
> SRPM URL: http://www.scrye.com/~kevin/fedora/gpsdrive/gpsdrive-2.09-3.fc8.src.rpm

> < * Mon Jun 18 2007 Kevin Fenzi <kevin@tummy.com> - 2.09-3
> < - Do not ship useless INSTALL file. 
> < - Fix incorrect greek translation. 
> 

Everything looks good to me. rpmlint is satisfied and the INSTALL file is not
shipped.  This package is Approved.
Comment 7 Kevin Fenzi 2007-06-22 12:39:09 EDT
Excellent. Thanks for the review, and sorry it took so long to finish up the
last issues. 

Package Name: gpsdrive
Short Description: A GPS based navigation tool
Owners: kevin@tummy.com
Branches: F-7 FC-6
InitialCC:
Comment 8 Kevin Fenzi 2007-06-22 15:48:16 EDT
cvs done.
Comment 9 Kevin Fenzi 2007-07-03 17:11:24 EDT
Sorry, forgot to close this one up. Built for fc6, f7 and devel. 

Note You need to log in before you can comment on or make changes to this bug.